picard.util

## Enum IlluminaUtil.IlluminaAdapterPair

- java.lang.Object
- - java.lang.Enum<IlluminaUtil.IlluminaAdapterPair>
  - - picard.util.IlluminaUtil.IlluminaAdapterPair

- All Implemented Interfaces:
    Serializable, Comparable<IlluminaUtil.IlluminaAdapterPair>, AdapterPair
  Enclosing class:
    IlluminaUtil

      public static enum IlluminaUtil.IlluminaAdapterPair
      extends Enum<IlluminaUtil.IlluminaAdapterPair>
      implements AdapterPair

  Describes adapters used on each pair of strands

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTERNATIVE_SINGLE_END`
    `DUAL_INDEXED`
    `FLUIDIGM`
    `INDEXED`
    `NEXTERA_V1`
    `NEXTERA_V2`
    `PAIRED_END`
    `SINGLE_END`
    `TRUSEQ_SMALLRNA`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get3PrimeAdapter()`
    `byte[]` | `get3PrimeAdapterBytes()`
    `byte[]` | `get3PrimeAdapterBytesInReadOrder()`
    `String` | `get3PrimeAdapterInReadOrder()`
    `String` | `get5PrimeAdapter()`
    `byte[]` | `get5PrimeAdapterBytes()`
    `byte[]` | `get5PrimeAdapterBytesInReadOrder()`
    `String` | `get5PrimeAdapterInReadOrder()`
    `String` | `getName()`
    `static IlluminaUtil.IlluminaAdapterPair` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IlluminaUtil.IlluminaAdapterPair[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAIRED_END

          public static final IlluminaUtil.IlluminaAdapterPair PAIRED_END

    - #### INDEXED

          public static final IlluminaUtil.IlluminaAdapterPair INDEXED

    - #### SINGLE_END

          public static final IlluminaUtil.IlluminaAdapterPair SINGLE_END

    - #### NEXTERA_V1

          public static final IlluminaUtil.IlluminaAdapterPair NEXTERA_V1

    - #### NEXTERA_V2

          public static final IlluminaUtil.IlluminaAdapterPair NEXTERA_V2

    - #### DUAL_INDEXED

          public static final IlluminaUtil.IlluminaAdapterPair DUAL_INDEXED

    - #### FLUIDIGM

          public static final IlluminaUtil.IlluminaAdapterPair FLUIDIGM

    - #### TRUSEQ_SMALLRNA

          public static final IlluminaUtil.IlluminaAdapterPair TRUSEQ_SMALLRNA

    - #### ALTERNATIVE_SINGLE_END

          public static final IlluminaUtil.IlluminaAdapterPair ALTERNATIVE_SINGLE_END

  - ### Method Detail

    - #### values

          public static IlluminaUtil.IlluminaAdapterPair[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IlluminaUtil.IlluminaAdapterPair c : IlluminaUtil.IlluminaAdapterPair.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IlluminaUtil.IlluminaAdapterPair valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get3PrimeAdapter

          public String get3PrimeAdapter()

      Specified by:
        `get3PrimeAdapter` in interface `AdapterPair`

    - #### get5PrimeAdapter

          public String get5PrimeAdapter()

      Specified by:
        `get5PrimeAdapter` in interface `AdapterPair`

    - #### get3PrimeAdapterInReadOrder

          public String get3PrimeAdapterInReadOrder()

      Specified by:
        `get3PrimeAdapterInReadOrder` in interface `AdapterPair`

    - #### get5PrimeAdapterInReadOrder

          public String get5PrimeAdapterInReadOrder()

      Specified by:
        `get5PrimeAdapterInReadOrder` in interface `AdapterPair`

    - #### get3PrimeAdapterBytes

          public byte[] get3PrimeAdapterBytes()

      Specified by:
        `get3PrimeAdapterBytes` in interface `AdapterPair`

    - #### get5PrimeAdapterBytes

          public byte[] get5PrimeAdapterBytes()

      Specified by:
        `get5PrimeAdapterBytes` in interface `AdapterPair`

    - #### get3PrimeAdapterBytesInReadOrder

          public byte[] get3PrimeAdapterBytesInReadOrder()

      Specified by:
        `get3PrimeAdapterBytesInReadOrder` in interface `AdapterPair`

    - #### get5PrimeAdapterBytesInReadOrder

          public byte[] get5PrimeAdapterBytesInReadOrder()

      Specified by:
        `get5PrimeAdapterBytesInReadOrder` in interface `AdapterPair`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `AdapterPair`